module ModTest11 interface;

export
  ModTest = (i, j, k, p);

var
  i, j: integer;
  k: integer absolute i;

procedure p;

end.


module ModTest11 implementation;

procedure p;

begin
  writeln ('failed');
end;

end.
